<script>
	export default {
		onLaunch: function() {
			console.log('App Launch')
		},
		onShow: function() {
			const updateManager = uni.getUpdateManager();
			updateManager.onCheckForUpdate(function(res) {
				if (!res.hasUpdate) {
					console.log("暂无可用更新");
				}
			});
			updateManager.onUpdateReady(function(res) {
				uni.showModal({
					title: '更新提示',
					content: '新版本已经准备好，是否重启应用？',
					success(res) {
						if (res.confirm) {
							// 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
							updateManager.applyUpdate();
						}
					}
				});
			});
			updateManager.onUpdateFailed(function(res) {});
		},
		onHide: function() {
			console.log('App Hide')
		}
	}
</script>

<style lang="scss">
	page {
		// -webkit-filter: grayscale(100%);
		background-color: #f3f4f6;
		font-size: 28rpx;
		color: #606266;
	}

	img {
		width: 100%;
		height: 100%;
	}


	/* #ifdef MP-WEIXIN */
	wx-swiper .wx-swiper-dot {
		width: 6rpx;
		height: 6rpx;
		border-radius: 50rpx;

	}

	wx-swiper .wx-swiper-dot-active {
		background-color: #000;
		// width: 22rpx;
		width: 8rpx;
		height: 8rpx;
		// border-radius: 5rpx;
	}

	.goodslist {
		swiper-item{
			height: 90% !important;
		}
	}
	/* #endif */
	@import "@/uview-ui/index.scss";
</style>